{% load static staticfiles widget_tweaks %}
<link rel="shortcut icon" type="image/x-icon" href="{% static 'images/icons/favicon.png' %}">

<!-- Font Awesome -->
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css">

<!-- Font Awesome -->
<link rel="stylesheet" href="{% static 'css/animate.css' %}">

<!-- IcoFonts -->
<link rel="stylesheet" href="{% static 'css/icofonts.css' %}">
<link rel="stylesheet" href="{% static 'css/mg_icon.css' %}">

<!-- Bootstrap -->
<link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">

<!-- Owl Carousel -->
<link rel="stylesheet" href="{% static 'css/owlcarousel.min.css' %}">

<!-- Contactme -->
<link rel="stylesheet" href="{% static 'css/contact/bootstrap-datepicker.standalone.min.css' %}">
<link rel="stylesheet" href="{% static 'css/contact/contact-1.0.css' %}">
<link rel="stylesheet" href="{% static 'css/contact/jquery.timepicker.css' %}">
<link rel="stylesheet" href="{% static 'css/contact/select2.min.css' %}">

<!-- Style -->
<link rel="stylesheet" href="{% static 'css/style.css' %}">

<!-- Responsive -->
<link rel="stylesheet" href="{% static 'css/responsive.css' %}">

<form class="contact review mg-main-form" id="appointment-form" action="{% url 'appointment_create' %}" method="post" enctype="multipart/form-data" novalidate>
    <section>
        {% csrf_token %}
        {% for hidden_field in form.hidden_fields %}
            {{ hidden_field }}
        {% endfor %}
        {% if form.non_field_errors %}
            <div class="alert alert-danger" role="alert">
                {% for error in form.non_field_errors %}
                    {{ error }}
                {% endfor %}
            </div>
            <div class="mt-5"></div>
        {% endif %}
        {% for field in form.visible_fields %}
            {% if form.is_bound %}
                {% if field.errors %}
                    <div class="form-row has-error">
                        <div class="col-lg-12">
                            {% render_field field placeholder=field.label %}
                            {% for error in field.errors %}
                                <span class="text-danger help-block">{{ error }}</span>
                            {% endfor %}
                        </div>
                    </div>
                {% else %}
                    <div class="form-row">
                        <div class="col-lg-12">
                            {% render_field field placeholder=field.label %}
                        </div>
                    </div>
                {% endif %}
            {% else %}
                <div class="form-row">
                    <div class="col-lg-12">
                        {% render_field field placeholder=field.label %}
                    </div>
                </div>
            {% endif %}
            {% if field.help_text %}
                <small class="form-text text-muted">{{ field.help_text }}</small>
            {% endif %}
        {% endfor %}
{##}
{#        {% if redirect_field_value %}#}
{#            <div class="row">#}
{#                <input type="hidden" name="{{ redirect_field_name }}"#}
{#                       value="{{ redirect_field_value }}"/>#}
{#            </div><!--end .row -->#}
{#        {% endif %}#}
        <button class="btn btn-primary" type="submit" data-sending="Submit">Submit
        </button>

        <br>
        <div class="row">
            <div class="text-danger">{{ form.non_field_errors }}</div>
        </div>
    </section>
</form>

<script src="{% static 'js/jquery.min.js' %}"></script>
<!-- Popper JS -->
<script src="{% static 'js/popper.min.js' %}"></script>
<!-- Bootstrap jQuery -->
<script src="{% static 'js/bootstrap.min.js' %}"></script>
<!-- Owl Carousel -->
<script src="{% static 'js/owl-carousel.2.3.0.min.js' %}"></script>
<!-- START js copy section -->
<script src="{% static 'js/contact/bootstrap-datepicker.min.js' %}"></script>
<script src="{% static 'js/contact/bootstrap-datepicker-lang/en.js' %}"></script>
<script src="{% static 'js/contact/jquery.timepicker.min.js' %}"></script>
<script src="{% static 'js/contact/select2.full.min.js' %}"></script>
<script src="{% static 'js/contact/select2-lang/en.js' %}"></script>
<!--[if lt IE 9]>
<!--<script src="{% static 'js/contact/EQCSS-polyfills-1.7.0.min.js' %}"></script> -->
<![endif]-->
<script src="{% static 'js/contact/EQCSS-1.7.0.min.js' %}"></script>
<script src="{% static 'js/contact/contact-config.js' %}"></script>
<script src="{% static 'js/contact/contact-1.0.js' %}"></script>

<script>
    {#$('.cm-date').datepicker(#}
    {#    {#}
    {#        format:'yyyy-mm-dd'#}
    {#    }#}
    {#);#}
</script>